\setkomavar{date}{\InvoiceDate}
%
\setkomavar{firsthead}{\hfill%
  \parbox[t][\headheight][t]{6cm}{%
    \footnotesize
    \raggedright
    \flushright
    \color[gray]{.3}%
    \begin{tabular}{rl}
      \ifdef{\InvoiceLabelAddress}{\InvoiceLabelAddress}{\LabelAddress}
        & \usekomavar{fromname}\\
        & \InvoiceSenderAddress \\
        & \InvoiceSenderPostalcode\ \InvoiceSenderPlace \\
      \\
      %\Telefon \ Telefon:  \` \senderTelephone \\
      \ifdef{\InvoiceSenderPhone}{
        \ifdef{\InvoiceLabelPhone}{\InvoiceLabelPhone}{\LabelPhonenumber} & \usekomavar{fromphone} \\
      }{}
      \ifdef{\InvoiceSenderEmail}{
        \ifdef{\InvoiceLabelEmail}{\InvoiceLabelEmail}{\LabelEmail} & \usekomavar{fromemail} \\
      }{}
      \ifdef{\InvoiceSenderWebsite}{
        \ifdef{\InvoiceLabelWebsite}{\InvoiceLabelWebsite}{\LabelWebsite} & \usekomavar{fromurl} \\
      }{}
      \\
      \ifdef{\InvoiceLabelBank}{\InvoiceLabelBank}{\LabelBankDetails}
        & \InvoiceSenderBankName \\
      \ifdef{\InvoiceLabelBankBIC}{\InvoiceLabelBankBIC}{\LabelBIC}
        & \InvoiceSenderBankBIC \\
      \ifdef{\InvoiceLabelBankIBAN}{\InvoiceLabelBankIBAN}{\LabelIBAN}
        & \InvoiceSenderBankIBAN
    \end{tabular}
  }%
}

\setkomavar{fromaddress}{
  \InvoiceSenderAddress \\
  \InvoiceSenderPostalcode\ \InvoiceSenderPlace
}
\setkomavar{frombank}{\InvoiceSenderBankName}
\setkomavar{fromphone}{\InvoiceSenderPhone}
\setkomavar{fromemail}{\InvoiceSenderEmail}
\ifdef{\InvoiceSenderLogo}{
  \setkomavar{fromlogo}{\includegraphics[width=3cm]{\InvoiceSenderLogo}}
}{}
%\setkomavar{frommobilephone}{}
\ifdef{\InvoiceSenderFirm}{
  \setkomavar{fromname}{\InvoiceSenderFirm}
}{
  \setkomavar{fromname}{\InvoiceSenderName}
}
\ifdef{\InvoiceSenderPhone}{
  \setkomavar{fromphone}{\InvoiceSenderPhone}
}{}
\ifdef{\InvoiceSenderWebsite}{
  \setkomavar{fromurl}{\InvoiceSenderWebsite}
}{}
\setkomavar{fromzipcode}{\InvoiceSenderPostalcode}

%\setkomavar{location}{
%  \\[\baselineskip] \\[\baselineskip]
%  \flushright \small {\vspace{1cm}Rechnungsnummer:
%  \ifdef{\InvoiceNumber}{\InvoiceNumber}{\jobname}}
%}
%\signature{\InvoiceSenderSignature}
\ifdef{\InvoiceNumber}{
  \setkomavar{invoice}{\InvoiceNumber}
  \setkomavar{subject}{\InvoiceSubject}
}{
  \setkomavar{invoice}{\jobname}
  \setkomavar{subject}{\InvoiceSubject}
}
